Start a conversation

Converting legacy web widgets

Legacy Feedbackly widgets need to converted to new ones in order to utilize the new triggering rules with them. Note that you can check out this article if you don't wish to convert your legacy widgets yet, and you need to edit to your legacy widget settings. 


It will require you to install the new widget on your site to be able to use all of the new triggering features .You won't be able to use the previous code snippets any longer to trigger your web widget after converting. 


1. Navigate to the Touchpoints-section of the software

2. If you have legacy plugins, you should be able to see the following button:

 3. Click on "Manage legacy plugins" and select the widget you want to convert.

4. On the opening dialog, select "Convert to new version". 


5. Confirm your selection. Note - in order for the widget to function after this screen, you need to have the new plugin script installed to enable it on your site again. The survey will not be enabled directly - you will need to set it active before it starts showing so you can safely install the script first.



6. The widget has been upgraded. Press configure to activate it.



7. In the widget rules screen, click on  'Active' under active state. Additionally, you may need to switch the domain for the plugin to a new one. 


8. Double-check your triggering rules - especially the "target pages" section. Legacy plugins' target pages were many times restricted by not providing the code on all pages. Since this is no longer the case, you may need to restrict the target pages. 


9. Click on "Save" on the top right to finish the process.


Choose files or drag and drop files
Was this article helpful?
Yes
No
  1. Michaela Isaksson

  2. Posted
  3. Updated

Comments